LTTNG-LIST(1)

NAME
lttng-list - List LTTng tracing sessions, domains, channels, and events

SYNOPSIS

List existing tracing sessions:

lttng [GENERAL OPTIONS] list

List available event sources:

lttng [GENERAL OPTIONS] list [--fields]
      [--kernel [--syscall]] [--userspace] [--jul] [--log4j] [--python]

List tracing session’s domains:

lttng [GENERAL OPTIONS] list --domain SESSION

List tracing session’s channels and event rules:

lttng [GENERAL OPTIONS] list [--channel=CHANNEL] SESSION

DESCRIPTION

The lttng list command lists tracing sessions, tracing domains, channels, and events.

Without arguments, lttng list lists the existing tracing sessions and shows if they are active or not.

With one or more of the --kernel, --userspace, --jul, --log4j, and --python domain options, the command lists the available event sources of the selected domain on the system. The JUL, log4j, and Python domains list the names of their available loggers. The --syscall option can be used alongside the --kernel option to get a list of traceable Linux system calls. The --fields option can be used to show the fields of the listed event sources.

Providing a tracing session name SESSION targets a specific tracing session. If the --domain option is used, domains containing at least one channel in the selected tracing session are listed. Otherwise, all the domains, channels, and event rules of the selected tracing session are listed along with its details (trace path, for example), except when the --channel option is used to isolate a specific channel by name.

OPTIONS

General options are described in lttng(1).

  Domain

-j, --jul
    List event sources in the java.util.logging (JUL) domain.

-k, --kernel
    List event sources in the Linux kernel domain.

-l, --log4j
    List event sources in the Apache log4j domain.

-p, --python
    List event sources in the Python domain.

-u, --userspace
    List event sources in the user space domain.

  Target

-c, --channel=CHANNEL
    Only list the details of the channel named CHANNEL.

  Listing

-d, --domain
    Show the domains of the target tracing session in which at least one channel exists.

-f, --fields
    When listing the event sources with one of the domain options, also show their fields.

--syscall
    When listing the event sources of the Linux kernel domain, list the traceable system calls instead of the kernel tracepoints.

  Program information

-h, --help
    Show command help.

    This option, like lttng-help(1), attempts to launch /usr/bin/man to view the command’s man page. The path to the man pager can be overridden by the LTTNG_MAN_BIN_PATH environment variable.

--list-options
    List available command options.

ENVIRONMENT VARIABLES

LTTNG_ABORT_ON_ERROR
    Set to 1 to abort the process after the first error is encountered.

LTTNG_HOME
    Overrides the $HOME environment variable. Useful when the user running the commands has a non-writable home directory.

LTTNG_MAN_BIN_PATH
    Absolute path to the man pager to use for viewing help information about LTTng commands (using lttng-help(1) or lttng COMMAND --help).

LTTNG_SESSION_CONFIG_XSD_PATH
    Path in which the session.xsd session configuration XML schema may be found.

LTTNG_SESSIOND_PATH
    Full session daemon binary path.

    The --sessiond-path option has precedence over this environment variable.

Note that the lttng-create(1) command can spawn an LTTng session daemon automatically if none is running. See lttng-sessiond(8) for the environment variables influencing the execution of the session daemon.

FILES

$LTTNG_HOME/.lttngrc
    User LTTng runtime configuration.

    This is where the per-user current tracing session is stored between executions of lttng(1). The current tracing session can be set with lttng-set-session(1). See lttng-create(1) for more information about tracing sessions.

$LTTNG_HOME/lttng-traces
    Default output directory of LTTng traces. This can be overridden with the --output option of the lttng-create(1) command.

$LTTNG_HOME/.lttng
    User LTTng runtime and configuration directory.

$LTTNG_HOME/.lttng/sessions
    Default location of saved user tracing sessions (see lttng-save(1) and lttng-load(1)).

/usr/local/etc/lttng/sessions
    System-wide location of saved tracing sessions (see lttng-save(1) and lttng-load(1)).

    Note

    $LTTNG_HOME defaults to $HOME when not explicitly set.

EXIT STATUS

0
    Success

1
    Command error

2
    Undefined command

3
    Fatal error

4
    Command warning (something went wrong during the command)

BUGS

If you encounter any issue or usability problem, please report it on the LTTng bug tracker <https://bugs.lttng.org/projects/lttng-tools>.

RESOURCES

    • LTTng project website <http://lttng.org>

    • LTTng documentation <http://lttng.org/docs>

    • Git repositories <http://git.lttng.org>

    • GitHub organization <http://github.com/lttng>

    • Continuous integration <http://ci.lttng.org/>

    • Mailing list <http://lists.lttng.org> for support and development: lttng-dev@lists.lttng.org

    • IRC channel <irc://irc.oftc.net/lttng>: #lttng on irc.oftc.net

COPYRIGHTS

This program is part of the LTTng-tools project.

LTTng-tools is distributed under the GNU General Public License version 2 <http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html>. See the LICENSE <https://github.com/lttng/lttng-tools/blob/master/LICENSE> file for details.

THANKS

Special thanks to Michel Dagenais and the DORSAL laboratory <http://www.dorsal.polymtl.ca/> at École Polytechnique de Montréal for the LTTng journey.

Also thanks to the Ericsson teams working on tracing which helped us greatly with detailed bug reports and unusual test cases.

AUTHORS

LTTng-tools was originally written by Mathieu Desnoyers, Julien Desfossez, and David Goulet. More people have since contributed to it.

LTTng-tools is currently maintained by Jérémie Galarneau <mailto:jeremie.galarneau@efficios.com>.

SEE ALSO

lttng(1)